%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

%global base_name compress
%global short_name commons-%{base_name}
Name:          apache-%{short_name}10
Version:       1.0
Release:       %mkrel 1
Summary:       Java API for working with tar, zip and bzip2 files
Group:         Development/Java
License:       ASL 2.0
URL:           http://commons.apache.org/compress/
# not available
# svn export -r 701433 http://svn.apache.org/repos/asf/commons/proper/compress/trunk/ commons-compress-1.0-701433
# tar cjf commons-compress-1.0-701433.tar.bz2 commons-compress-1.0-701433
# from
# https://api.opensuse.org/public/source/Java:base/jakarta-commons-compress/commons-compress-1.0-701433.tar.bz2?rev=45b972b58d46cc651f162924eb909417&
Source0:       commons-compress-1.0-701433.tar.bz2

BuildRequires: apache-commons-sandbox-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-io
BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-pmd-plugin
BuildRequires: maven-source-plugin

Requires:      apache-commons-io

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Commons Compress is a component that contains Ar,
Cpio, Jar, Tar, Zip and BZip2 packages

%package javadoc
Group:        Development/Java
Summary:      Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep

%setup -q -n %{short_name}-%{version}-701433

%build

mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{short_name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/%{short_name}10.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}10.pom
%add_maven_depmap JPP-%{short_name}10.pom %{short_name}10.jar

mkdir -p %{buildroot}%{_javadocdir}/%{short_name}10
cp -pr  target/site/apidocs/* %{buildroot}%{_javadocdir}/%{short_name}10

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/apache-%{short_name}10.jar
%{_javadir}/%{short_name}10.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc *.txt

%files javadoc
%{_javadocdir}/%{short_name}10

%changelog

* Tue Dec 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 177770
- imported package apache-commons-compress10

